std::__detail::_Hash_node_base(3)

NAME
std::__detail::_Hash_node_base -

SYNOPSIS

Inherited by std::__detail::_Hash_node_value_base< _Value >.

  Public Member Functions
_Hash_node_base (_Hash_node_base *__next) noexcept

  Public Attributes
_Hash_node_base * _M_nxt

Detailed Description

struct _Hash_node_base

Nodes, used to wrap elements stored in the hash table. A policy template parameter of class template _Hashtable controls whether nodes also store a hash code. In some cases (e.g. strings) this may be a performance win.

Definition at line 227 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.